package org.springblade.enums;

public enum OrderFromEnum {
	/**
	 * 人工添加
	 */
	FROM_MANUALLY("manually", "人工添加"),

	/**
	 * 设备预警
	 */
	FROM_WARNING("warning", "设备预警"),

	/**
	 * 设备巡检
	 */
	FROM_INSPECTION("inspection", "设备巡检");

	private String code;

	private String name;

	private OrderFromEnum(String code, String name) {
		this.code = code;
		this.name = name;
	}

	/**
	 * Function:根据code来获取对应的name
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return java.lang.String
	 * @throws Exception
	 */
	public static String getName(String code) {
		for (OrderFromEnum type : OrderFromEnum.values()) {
			if (type.code == code) {
				return type.name;
			}
		}
		return "";
	}

	/**
	 * Function:根据code来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param code
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static OrderFromEnum getEnumByCode(String code) {
		for (OrderFromEnum type : OrderFromEnum.values()) {
			if (type.code == code) {
				return type;
			}
		}
		return null;
	}


	/**
	 * Function:根据name来获取对应的枚举常量
	 * Author: Admin
	 * Date:2021/6/26
	 * @param name
	 * @return com.zhgzjg.web.enums.DeleteFlag
	 * @throws Exception
	 */
	public static OrderFromEnum getEnumByName(String name) {
		for (OrderFromEnum type : OrderFromEnum.values()) {
			if (type.name.equals(name)) {
				return type;
			}
		}
		return null;
	}


	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
}
